data {
    int KR;
    int KC;
    int X[KR, KC];
}
parameters {
    real z[KR, KC];
}
transformed parameters {
    real<lower = 0.0> lmbd[KR, KC];
    for (i in 1:KR)
        for (j in 1:KC)
            lmbd[i][j] = exp(z[i][j]);
}
model {
    for (i in 1:KR)
        for (j in 1:KC)
            z[i][j] ~ normal(0.0, 1000.0);
    for (i in 1:KR)
        for (j in 1:KC) {
            X[i][j] ~ poisson(lmbd[i][j]);        
        }
}
